> For the complete documentation index, see [llms.txt](https://docs.defi.app/knowledge-base/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defi.app/knowledge-base/ko/reference/security-features-and-integrations.md).

# 보안 기능 및 통합

디파이 앱은 공격을 방지하고 사용자에게 영향을 미치기 전에 악의적인 행위를 탐지하도록 설계된 여러 서비스를 통합합니다.

***

### Socket.dev

Socket.dev은 디파이 앱의 GitHub 저장소를 지속적으로 검사합니다. npm 의존성과 업데이트를 점검하고, 공개된 해시를 확인해 패키지 무결성을 검증하며, 잠재적인 공급망 리스크를 표시합니다. 또한 서드파티 의존성을 노리는 공급망 공격으로부터 보호합니다.

자세한 내용은 다음을 참조하세요. [Socket.dev](https://socket.dev/).

***

### Blockaid

디파이 앱은 Blockaid가 공동 서명자(co-signer)로 기능하는 멀티시그 지갑 구성을 사용합니다. Blockaid는 트랜잭션 메타데이터, 메서드, 로그를 스캔하여 표시된 주소와의 상호작용이나 악성 함수 같은 이상 징후를 탐지합니다. 이러한 행위 분석은 무단 전송이나 손상된 서명자로부터 보호합니다.

자세한 내용은 다음을 참조하세요. [Blockaid.io](https://www.blockaid.io/).

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.defi.app/knowledge-base/ko/reference/security-features-and-integrations.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
